---
lang: en
title: 'API docs: rest.streambodyparser.parse'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.streambodyparser.parse.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [StreamBodyParser](./rest.streambodyparser.md) &gt; [parse](./rest.streambodyparser.parse.md)

## StreamBodyParser.parse() method

<b>Signature:</b>

```typescript
parse(request: Request): Promise<RequestBody>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  request | <code>Request</code> |  |

<b>Returns:</b>

`Promise<RequestBody>`


